#
# spec file for package python-svgwrite
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-svgwrite
Version:        1.2.1
Release:        lp151.1.1
Summary:        Python module for creating SVG drawings
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/mozman/svgwrite
Source:         https://files.pythonhosted.org/packages/source/s/svgwrite/svgwrite-%{version}.zip
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
# SECTION test requirements
BuildRequires:  %{python_module pyparsing >= 2.0.1}
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-pyparsing >= 2.0.1
BuildArch:      noarch

%python_subpackages

%description
A Python library to create SVG drawings.

%prep
%setup -q -n svgwrite-%{version}
find svgwrite -name "*.py" -exec sed -i -e '/^#!\//, 1d' {} \; -exec sed -i 's/\r$//' {} \;
sed -i 's/\r$//' LICENSE.TXT NEWS.rst README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix}

%files %{python_files}
%doc NEWS.rst README.rst
%license LICENSE.TXT
%{python_sitelib}/*

%changelog
* Wed Jan  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Version update to 1.2.1:
  * BUGFIX: Python 2 pretty print encoding issue
  * NEW: Inkscape extension - support for Inkscape layers
  * BUGFIX: compatibility with Python 3.7 by fixing re.split() usage
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Use noun phrase in summary.
* Thu May 24 2018 toddrme2178@gmail.com
- Update 1.1.12
  * BUGFIX: values attribute for element animate, accepts any semicolon separated values
- spec file cleanups
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
